publish latest update-manager from xenial-updates to xenial-security

Bug #1748397 reported by Jean-Baptiste Lallement on 2018-02-09
260
This bug affects 2 people
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
Critical
Unassigned
Xenial
Critical
Marc Deslauriers

Bug Description

update-notifier 3.168.7 has been published to xenial-security to fix bug 1702724 and be installed through unattended-upgrades (given that users are not receiving updates notifications)

This version depends on update-manager 16.04.6 available on Ubuntu Desktop 16.04.3 and higher. update-notifier fails to install via unattended-upgrades on systems installed from a previous version of 16.04.

The output of unattended-upgrades on these systems is:
  update-notifier:amd64 Depends on update-manager [ amd64 ] < 1:16.04.3 | 1:16.04.10 > ( gnome ) (>= 1:16.04.6) can't be satisfied!
  update-notifier-common:amd64 Depends on update-manager-core [ amd64 ] < 1:16.04.3 | 1:16.04.10 > ( admin ) (>= 1:16.04.6) can't be satisfied!

Could you please publish update-manager 1:16.04.10 (or higher) to xenial-security

(note that 1:16.04.11 is in -proposed and is apparently a security update so this bug will fix itself once this version is published)

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: update-manager 1:18.04.3
ProcVersionSignature: Ubuntu 4.13.0-32.35-generic 4.13.13
Uname: Linux 4.13.0-32-generic x86_64
ApportVersion: 2.20.8-0ubuntu8
Aptdaemon:

Architecture: amd64
CurrentDesktop: ubuntu:GNOME
Date: Fri Feb 9 09:55:42 2018
InstallationDate: Installed on 2013-09-03 (1619 days ago)
InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130902)
PackageArchitecture: all
ProcEnviron:
 TERM=screen-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=fr_FR.UTF-8
 SHELL=/bin/bash
SourcePackage: update-manager
UpgradeStatus: Upgraded to bionic on 2018-01-26 (13 days ago)

Jean-Baptiste Lallement (jibel) wrote :
information type: Public → Public Security
Changed in update-manager (Ubuntu):
importance: Undecided → Critical
status: New → Fix Released
Changed in update-manager (Ubuntu Xenial):
importance: Undecided → Critical
status: New → Triaged
Marc Deslauriers (mdeslaur) wrote :

As soon as the update-manager currently in -proposed gets release, I'll rebuild it in -security.

Changed in update-manager (Ubuntu Xenial):
assignee: nobody → Marc Deslauriers (mdeslaur)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-manager - 1:16.04.12

---------------
update-manager (1:16.04.12) xenial-security; urgency=medium

  * No change rebuild in security pocket (LP: #1748397)

 -- Marc Deslauriers <email address hidden> Mon, 12 Feb 2018 07:29:03 -0500

Changed in update-manager (Ubuntu Xenial):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public Security information  Edit
Everyone can see this security related information.

Other bug subscribers